> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile Validation Rule Value

> A `PATCH` to the `/profiles/validation-rules/{ruleId}/values/{valueId}` endpoint allows your application to update a specific Profile Validation Rule Value.



## OpenAPI

````yaml put /v3/profiles/validation-rules/{profileValidationRule}/values/{value}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/validation-rules/{profileValidationRule}/values/{value}:
    put:
      tags:
        - Profile Validation Rule Value
      summary: Update Profile Validation Rule Value
      description: >-
        A `PATCH` to the `/profiles/validation-rules/{ruleId}/values/{valueId}`
        endpoint allows your application to update a specific Profile Validation
        Rule Value.
      operationId: values.update
      parameters:
        - name: profileValidationRule
          in: path
          required: true
          description: The profile validation rule ID
          schema:
            type: integer
        - name: value
          in: path
          required: true
          description: The value ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProfileValidationRuleValue'
      responses:
        '200':
          description: '`ProfileValidationRuleValue`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProfileValidationRuleValue'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateProfileValidationRuleValue:
      type: object
      properties:
        value:
          type: string
          maxLength: 255
        is_active:
          type:
            - boolean
            - 'null'
      title: UpdateProfileValidationRuleValue
    ProfileValidationRuleValue:
      type: object
      properties:
        id:
          type: integer
        rule_id:
          type: integer
        value:
          type: string
        is_active:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - rule_id
        - value
        - is_active
        - created_at
        - updated_at
      title: ProfileValidationRuleValue
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````